Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.inverserecordmapping
Class SubtreeXmlFlattener

    java.lang.Object
      com.servingxml.components.inverserecordmapping.SubtreeXmlFlattener

All Implemented Interfaces:
  ShredXml

    public class SubtreeXmlFlattener

extends java.lang.Object
implements ShredXml

Constructor Summary
`SubtreeXmlFlattener(ParameterDescriptor[] parameterDescriptors, RestrictedMatchPattern expr, ShredXml flattener)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endElement(ServiceContext context, Flow flow2, java.lang.String namespaceUri, java.lang.String localName, java.lang.String qname, RecordWriter recordWriter)`
`boolean` | `isMatched()`
`void` | `mapRecord(ServiceContext context, Flow flow, RecordWriter recordWriter)`
`void` | `matchPath(ServiceContext context, Flow flow, SaxPath path)`
`void` | `startElement(ServiceContext context, Flow flow, SaxPath path, RecordWriter recordWriter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubtreeXmlFlattener

    public SubtreeXmlFlattener(ParameterDescriptor[] parameterDescriptors,
                               RestrictedMatchPattern expr,
                               ShredXml flattener)

Method Detail

### isMatched

    public boolean isMatched()

  Specified by:
    `isMatched` in interface `ShredXml`

### matchPath

    public void matchPath(ServiceContext context,
                          Flow flow,
                          SaxPath path)
                   throws org.xml.sax.SAXException

  Specified by:
    `matchPath` in interface `ShredXml`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(ServiceContext context,
                             Flow flow,
                             SaxPath path,
                             RecordWriter recordWriter)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `ShredXml`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `ShredXml`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(ServiceContext context,
                           Flow flow2,
                           java.lang.String namespaceUri,
                           java.lang.String localName,
                           java.lang.String qname,
                           RecordWriter recordWriter)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `ShredXml`
  Throws:
    `org.xml.sax.SAXException`

### mapRecord

    public final void mapRecord(ServiceContext context,
                                Flow flow,
                                RecordWriter recordWriter)
                         throws org.xml.sax.SAXException

  Specified by:
    `mapRecord` in interface `ShredXml`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD